// 
// This file is part of MolMeccano, a cross-platform C++ chemical library.
//
// Copyright (C) 2001-2007 Alexey Nikitin
//
#ifndef TEST_TEST_H
#define TEST_TEST_H

#ifndef TEST_H
#include "Test.h"
#endif

namespace MM
{

class Void_test : public Test
{
public:
    void run()    { TEST( "true", true ); }
};

class Math_test : public Test
{
public:
    void run()
    {
        test1();
        test2();
    }

    void test1()
    {
        TEST("2*2=4", 2*2==4 );
    }

    void test2()
    {
        TEST("5*5=25", 5*5==25 );
    }
};

class Exception_test : public Test
{
public:
    void run()    { throw "Exception in class Exception_test"; }
};

}//MM

#endif//TEST_TEST_H
